For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assets

Find assets

get

Returns assets matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. By default a result containing 1000 assets is returned.

For fetching large numbers of assets consider using the async methods of Output Module REST API instead, which allow fetching all needed data in one call and eliminate the risk of timing out. Additionally, consider the CSV endpoint of the Output Module REST API for particularly large result sets, as it's more memory efficient.

Searching for assets by name can be slow so check the Search REST API and the Knowledge Graph API for alternatives if applicable to your use case, as the Search API returns only a subset of asset fields that are available here.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32OptionalDeprecated

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0. Cursor should be preferred over offset for better performance and stable results. It is forbidden to use both in the same request.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32OptionalDeprecated

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped. For cursor pagination this parameter is ignored and count is skipped.

Default: -1
cursorstringOptional

Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value (must be non-null). For the next pages, the value must be taken from the response (nextCursor property).

namestringOptional

The name of the asset to search for (either display name or full name).

nameMatchModestring · enumOptional

The match mode used to compare name. If the match mode is EXACT the search is case-sensitive, otherwise the search is case-insensitive.

Default: ANYWHEREPossible values:
domainIdstring · uuidOptional

The ID of the domain to find the assets in.

communityIdstring · uuidOptional

The ID of the community to find the assets in.

typeIdsstring · uuid[]Optional

The list of IDs of the asset types. The returned assets are of one of types specified by this parameter.

typePublicIdsstring[]Optional

The list of IDs of the asset public types. The returned assets are of one of types specified by this parameter.

typeIdstring · uuid[]OptionalDeprecated

The list of IDs of the asset types. The returned assets are of one of types specified by this parameter. Deprecated in favour of 'typeIds'

statusIdsstring · uuid[]Optional

The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter.

statusIdstring · uuid[]OptionalDeprecated

The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter. Deprecated in favour of 'statusIds'.

tagNamesstring[]Optional

The list of names of tags. The returned assets have one of tags with names specified by this parameter.

typeInheritancebooleanOptional

Whether the type inheritance for the asset type filtering should be applied or not.

Default: true
excludeMetabooleanOptional

The exclude meta flag. If this is set to true then the assets from meta domains will not be returned (meta domains are the domains which were not created by the user manually).

Default: true
sortFieldstring · enumRequired

The field on which the results are sorted.

Default: NAMEPossible values:
sortOrderstring · enumOptional

The sorting order.

Default: ASCPossible values:
Responses
200

OK - The request has succeeded.

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/assets

Add asset

post

Adds a new asset to a domain

Authorizations
AuthorizationstringRequired
Body
namestring · min: 1 · max: 2000Required

The full name of the new asset. Should be unique within the domain.

displayNamestring · min: 1 · max: 2000Optional

The display name of the new asset.

domainIdstring · uuidRequired

The ID of the domain that the new asset should be added to.

typeIdstring · uuidOptional

The ID of the asset type of the new asset.

idstring · uuidOptional

The ID of the new asset. Should be unique within all assets.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.

statusIdstring · uuidOptional

The ID of the status of the new asset.

excludedFromAutoHyperlinkingbooleanOptional

Whether or not to exclude the new asset from auto hyperlinking.

typePublicIdstringOptional

The public ID of the asset type of the new asset.

Responses
201

Created - The request has been fulfilled and resulted in a new resource being created.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
displayNamestringOptional

The display name of the asset.

Please note that "displayName" corresponds to the "Name" in the UI.

articulationScorenumber · doubleOptional

The articulation score for this asset.

Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.

Example: 89.5
excludedFromAutoHyperlinkingbooleanOptional

Whether this asset is excluded from hyperlinking or not.

avgRatingnumber · doubleOptional

The average rating.

ratingsCountinteger · int32Optional

The number of ratings.

post/assets

Add multiple assets

post

Adds multiple assets in one go

Authorizations
AuthorizationstringRequired
Bodyobject · AddAssetRequest[]
namestring · min: 1 · max: 2000Required

The full name of the new asset. Should be unique within the domain.

displayNamestring · min: 1 · max: 2000Optional

The display name of the new asset.

domainIdstring · uuidRequired

The ID of the domain that the new asset should be added to.

typeIdstring · uuidOptional

The ID of the asset type of the new asset.

idstring · uuidOptional

The ID of the new asset. Should be unique within all assets.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.

statusIdstring · uuidOptional

The ID of the status of the new asset.

excludedFromAutoHyperlinkingbooleanOptional

Whether or not to exclude the new asset from auto hyperlinking.

typePublicIdstringOptional

The public ID of the asset type of the new asset.

Responses
201

Created - The request has been fulfilled and resulted in a new resource being created.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
displayNamestringOptional

The display name of the asset.

Please note that "displayName" corresponds to the "Name" in the UI.

articulationScorenumber · doubleOptional

The articulation score for this asset.

Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.

Example: 89.5
excludedFromAutoHyperlinkingbooleanOptional

Whether this asset is excluded from hyperlinking or not.

avgRatingnumber · doubleOptional

The average rating.

ratingsCountinteger · int32Optional

The number of ratings.

post/assets/bulk

Remove assets

delete

Removes multiple assets.

Authorizations
AuthorizationstringRequired
Bodystring · uuid[]
string · uuid[]Optional
Responses
204

No Content - The server has fulfilled the request but does not need to return an entity-body.

No content

delete/assets/bulk

No content

Change multiple assets

patch

Changes multiple assets in one go

Authorizations
AuthorizationstringRequired
Bodyobject · ChangeAssetRequest[]
idstring · uuidRequired

The ID of the asset to be changed. Silently ignored if the ID is provided as path parameter of the request.

namestring · min: 1 · max: 2000Optional

The new full name for the asset.

displayNamestring · min: 1 · max: 2000Optional

The new display name for the asset.

typeIdstring · uuidOptional

The ID of the new asset type for the asset.

statusIdstring · uuidOptional

The ID of the new status for the asset.

domainIdstring · uuidOptional

The ID of the new domain for the asset.

excludedFromAutoHyperlinkingbooleanOptional

Whether the asset should be excluded from hyperlinking or not.

typePublicIdstringOptional

The public ID of the new asset type for the asset.

Responses
200

OK - The request has succeeded.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
displayNamestringOptional

The display name of the asset.

Please note that "displayName" corresponds to the "Name" in the UI.

articulationScorenumber · doubleOptional

The articulation score for this asset.

Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.

Example: 89.5
excludedFromAutoHyperlinkingbooleanOptional

Whether this asset is excluded from hyperlinking or not.

avgRatingnumber · doubleOptional

The average rating.

ratingsCountinteger · int32Optional

The number of ratings.

patch/assets/bulk

Get asset tags

get

Returns all tags of the asset with the given ID.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset

Responses
200

OK - The request has succeeded.

application/json

Represents a tag. Tag is a label applied to one or more assets and used to enrich content with additional meta-data in a crowdsourcing way without having to go through the formal process.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the tag.

descriptionstringOptional

The description of the tag.

assetsCountinteger · int32Optional

Count of all assets to which this tag is assigned.

get/assets/{assetId}/tags

Add tags

post

Adds tags to the asset with the given ID.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset

Body
tagNamesstring[]Required

The names of the tags to be applied on given asset.

Responses
201

Created - The request has been fulfilled and resulted in a new resource being created.

application/json

Represents a tag. Tag is a label applied to one or more assets and used to enrich content with additional meta-data in a crowdsourcing way without having to go through the formal process.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the tag.

descriptionstringOptional

The description of the tag.

assetsCountinteger · int32Optional

Count of all assets to which this tag is assigned.

post/assets/{assetId}/tags

Set asset tags

put

Sets tags for the asset with the given ID. The asset will contain only those tags specified in the request.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset

Body
tagNamesstring[]Required

The names of the tags to be applied on given asset.

Responses
200

OK - The request has succeeded.

application/json

Represents a tag. Tag is a label applied to one or more assets and used to enrich content with additional meta-data in a crowdsourcing way without having to go through the formal process.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the tag.

descriptionstringOptional

The description of the tag.

assetsCountinteger · int32Optional

Count of all assets to which this tag is assigned.

put/assets/{assetId}/tags

Remove tags

delete

Removes tags from the asset with the given ID.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset

Body
tagNamesstring[]Required

The names of the tags to be removed from given asset.

Responses
204

No Content - The server has fulfilled the request but does not need to return an entity-body.

No content

delete/assets/{assetId}/tags

No content

Get asset

get

Returns the asset having the given ID.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset

Responses
200

OK - The request has succeeded.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
displayNamestringOptional

The display name of the asset.

Please note that "displayName" corresponds to the "Name" in the UI.

articulationScorenumber · doubleOptional

The articulation score for this asset.

Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.

Example: 89.5
excludedFromAutoHyperlinkingbooleanOptional

Whether this asset is excluded from hyperlinking or not.

avgRatingnumber · doubleOptional

The average rating.

ratingsCountinteger · int32Optional

The number of ratings.

get/assets/{assetId}

Remove asset

delete

Removes an asset identified by given ID.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset

Responses
204

No Content - The server has fulfilled the request but does not need to return an entity-body.

No content

delete/assets/{assetId}

No content

Change asset

patch

Changes the asset with the given ID as specified by the given request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset to be changed

Body
idstring · uuidRequired

The ID of the asset to be changed. Silently ignored if the ID is provided as path parameter of the request.

namestring · min: 1 · max: 2000Optional

The new full name for the asset.

displayNamestring · min: 1 · max: 2000Optional

The new display name for the asset.

typeIdstring · uuidOptional

The ID of the new asset type for the asset.

statusIdstring · uuidOptional

The ID of the new status for the asset.

domainIdstring · uuidOptional

The ID of the new domain for the asset.

excludedFromAutoHyperlinkingbooleanOptional

Whether the asset should be excluded from hyperlinking or not.

typePublicIdstringOptional

The public ID of the new asset type for the asset.

Responses
200

OK - The request has succeeded.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
displayNamestringOptional

The display name of the asset.

Please note that "displayName" corresponds to the "Name" in the UI.

articulationScorenumber · doubleOptional

The articulation score for this asset.

Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.

Example: 89.5
excludedFromAutoHyperlinkingbooleanOptional

Whether this asset is excluded from hyperlinking or not.

avgRatingnumber · doubleOptional

The average rating.

ratingsCountinteger · int32Optional

The number of ratings.

patch/assets/{assetId}

Returns assets related to the given source asset via the specified relation type and direction.

get

This endpoint is part of a public preview feature and is subject to change. It is only available in commercial pre-production environments. To use it in a production environment, contact Collibra Support. This endpoint is not available for Collibra Platform for Government and Collibra Platform Self-Hosted.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the source of relations to search for.

relationTypePublicIdstringRequired

The public ID of the type of relation to search for.

relationDirectionstring · enumRequired

The direction in which the relation should be traversed.

Possible values:
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
Responses
200

OK - The request has succeeded.

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/assets/{assetId}/relations/{relationTypePublicId}/{relationDirection}

Get asset breadcrumb

get

Returns the list of resources that lead to the asset identified by the given ID.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstringRequired

The ID of the asset

Responses
200

OK - The request has succeeded.

application/json

Represents reference to the resource, including its name.

idstring · uuidRequired

The id of the referenced resource.

Example: 2b7f3a1a-4e50-4077-96f0-a58a395c860d
resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.

Example: CommunityPossible values:
resourceDiscriminatorstringOptional

The resource discriminator, which indicates the type of the referenced resource, e.g. "Community", "Asset", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values.

Example: Community
namestringOptional

The name of the referenced resource.

get/assets/{assetId}/breadcrumb

Set asset attributes

put

Replaces all attributes of the asset with the given ID (of given attribute type) with the attributes from the request, except matching attributes, which are retained.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset

Body
typeIdstring · uuidOptional

The ID of the attribute type for the new attribute.

typePublicIdstringOptional

The public ID of the attribute type for the new attribute.

valuesobject[]Required

The values for the new attribute.

Responses
200

OK - The request has succeeded.

application/json

The list of attributes corresponding to the complex relation.

attributeDiscriminatorstringOptional
valueobjectOptional
resourceTypestring · enumOptionalDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

idstring · uuidOptional

The id of the represented object (entity).

put/assets/{assetId}/attributes

Set asset relations

put

Sets relations for the asset with the given ID. All the relations described by this request will replace the existing ones (identified with asset as one end, relation type and direction of the relation).

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset

Body
typeIdstring · uuidOptional

The ID of the relation type for the relations to be set.

relatedAssetIdsstring · uuid[]Required

The IDs of the related assets.

relationDirectionstring · enumRequired

The relation direction. If TO_SOURCE then related assets will become source assets. Otherwise they will become target assets for created relations.

Possible values:
typePublicIdstringOptional

The public ID of the relation type for the relations to be set.

Responses
200

OK - The request has succeeded.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
startingDateinteger · int64OptionalDeprecated

The timestamp representing the starting date of the relation.

endingDateinteger · int64OptionalDeprecated

The timestamp representing the ending date of the relation.

put/assets/{assetId}/relations

Set asset responsibilities

put

Sets responsibilities for the asset with the given ID.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The ID of the asset

Body
roleIdstring · uuidRequired

The ID of the role for the responsibilities to be set.

ownerIdsstring · uuid[]Required

The IDs of the owners. An owner is either user or group.

Responses
200

OK - The request has succeeded.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
put/assets/{assetId}/responsibilities

Last updated

Was this helpful?